extern "C"
{
	#include "user_interface.h"
	#include "rgbcube.h"
	#include "tlc5947.h"
	#include "timer.h"
}

void set_cube_color(uint8_t red,uint8_t green,uint8_t blue)
{
	int8_t x,y,z;
	for(x = 0;x < 4;x++)
	{
		for(y = 0;y < 4;y++)
		{
			for(z = 0;z < 4;z++)
			{
				ptr_rgb_data[x][y][z].red=red;
				ptr_rgb_data[x][y][z].green=green;
				ptr_rgb_data[x][y][z].blue=blue;
			}
		}
	}
}

void setup()
{
	// init serial port
	Serial.begin(115200);
	Serial.println();
	Serial.println("Serial port initialized!\n---");

	timer_init();
	tlc_init();

	// test start bedingung:
	set_cube_color(0,0,0);
	while(true)
	{
		ptr_rgb_data[0][0][0].red=255;
		delay(1000);
		ptr_rgb_data[0][1][0].green=255;
		delay(1000);
		ptr_rgb_data[0][0][3].blue=255;
		delay(1000);
		set_cube_color(0,0,0);
		delay(1000);
	}
}


void loop()
{
	yield();	// or delay(0);
}
